#
# spec file for package perl-Chart-Gnuplot (Version 0.23)
#
# Copyright (c) 125 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name Chart-Gnuplot
Name:           perl-Chart-Gnuplot
Version:        0.23
Release:        0%{?autorelease}
License:   Artistic-1.0 or GPL-1.0-or-later
Summary:        Plot graph using Gnuplot in Perl on the fly
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-macros-suse
BuildRequires:  perl-generators
BuildRequires:  make
Requires:       gnuplot
%{?perl_requires}

%description
This Perl module is to plot graphs uning GNUPLOT on the fly. In order to
use this module, gnuplot need to be installed. If image format other than
PS and EPS is required to generate, it is recommended to install the
convert program of ImageMagick as well. Please refer to MECHANISM OF THIS
MODULE for details.

To plot chart using Chart::Gnuplot, a chart object and at least one dataset
object are required. Information about the chart such as output file, chart
title, axes labels and so on is specified in the chart object. Dataset
object contains information about the dataset to be plotted, including
source of the data points, dataset label, color used to plot and more.

After chart object and dataset object(s) are created, the chart can be
plotted using the plot2d, plot3d or multiplot method of the chart object,
e.g.

    # $chart is the chart object
    $chart->plot2d($dataSet1, $dataSet2, ...);

To illustate the features of Chart::Gnuplot, the best way is to show by
examples. A lot of examples can be found in SourceForge
http://chartgnuplot.sourceforge.net.

%prep
%autosetup  -n %{cpan_name}-%{version} -p1


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes doc README

%changelog
